﻿/**
 * Paperskated3d - simple skateboard simulator in Papervision3d
 * 
 * @author Bartek Drozdz 
 * @version 1.0
 * 
 * Released under Creative Commons Attribution-Non-Commercial-Share Alike 3.0 License.
 */
package com.paperskate3d {
	
	import flash.events.Event;
	
	public class SkatingEvent extends Event {
		
		public static var TRICK_STARTED:String = "trickStarted";
		public static var TRICK_FINISHED:String = "trickFinished";
		
		public static var SPEED_CHANGE:String = "speedChange";
		public var speed:Number;
		
		public static var SPEED_MODE_CHANGE:String = "speedModeChange";
		public var speedMode:int;
		public static var SPEED_NORMAL:int = 1;
		public static var SPEED_SLOW:int = 2;
		public static var SPEED_PAUSE:int = 3;
		
		public static var DIRECTION_CHANGE:String = "directionChange";
		
		public static var TRICK_REPORT:String = "trickReport";
		public var trickReport:String;
		
		public static var TOGGLE_STATS:String = "toogleStats";
		
		public function SkatingEvent(type:String, bubbles:Boolean=false, cancelable:Boolean=false) { 
			super(type, bubbles, cancelable);
			
		} 
		
		public override function clone():Event { 
			return new SkatingEvent(type, bubbles, cancelable);
		} 
		
		public override function toString():String { 
			return formatToString("SkatingEvent", "type", "bubbles", "cancelable", "eventPhase"); 
		}
	}
}