﻿/**
 * Paperskated3d - simple skateboard simulator in Papervision3d
 * 
 * @author Bartek Drozdz 
 * @version 1.0
 * 
 * Released under Creative Commons Attribution-Non-Commercial-Share Alike 3.0 License.
 */
package com.paperskate3d.terrain {
	
	import com.paperskate3d.skate.SkateBoard;

	public interface ITerrain {
		
		function move(speed:Number):void;
		
		function updateShadow(skate:SkateBoard):void;
		
		function resetShadow():void;
		
	}
}