﻿/**
 * Paperskated3d - simple skateboard simulator in Papervision3d
 * 
 * @author Bartek Drozdz 
 * @version 1.0
 * 
 * Released under Creative Commons Attribution-Non-Commercial-Share Alike 3.0 License.
 */
package com.paperskate3d.terrain {
	
	import org.papervision3d.objects.DisplayObject3D;

	public class TerrainFactory {
		
		public static function getTerrain():ITerrain {
			
			// return new Sidewalk();
			// return new BasicConcrete();
			// return new NoGround();
			return new ExtendedConcrete();
		}
		
		public static function castAsDo3D(terrain:ITerrain):DisplayObject3D {
			
			return terrain as DisplayObject3D;
			
		}
		
	}
}