﻿/**
 * Paperskated3d - simple skateboard simulator in Papervision3d
 * 
 * @author Bartek Drozdz 
 * @version 1.0
 * 
 * Released under Creative Commons Attribution-Non-Commercial-Share Alike 3.0 License.
 */
package com.paperskate3d.gui {
	
	import flash.events.Event;

	public class PSUIEvent extends Event {
		
		public static var WELCOME_SCREEN_CLEARED:String = "welcomeScreenCleared";
		public var startGame:Boolean = true;
		
		public static var INSTRUCTION_CLEARED:String = "instructionCleared";
		public static var GAME_CLEARED:String = "gameCleared";
		
		public static var QUALITY_CHANGE:String = "qualityChange";
		public var isHigh:Boolean = true;
		
		public static var OPEN_INSTRUCTION:String = "openInstruction";
		
		public function PSUIEvent(type:String, bubbles:Boolean=false, cancelable:Boolean=false) { 
			super(type, bubbles, cancelable);
			
		} 
		
		public override function clone():Event { 
			return new PSUIEvent(type, bubbles, cancelable);
		} 
		
		public override function toString():String { 
			return formatToString("PSUIEvent", "type", "bubbles", "cancelable", "eventPhase"); 
		}
		
	}
	
}