﻿package com.paperskate3d.tricks {
	
	/**
	* ...
	* @author Default
	*/
	public class TrickStack {
		
		private var tricks:Array;
		private var tricksNum:Number;
		
		public function TrickStack() {
			reset();
		}
		
		public function reset():void {
			tricks = new Array();
		}
		
		public function addTrick(t:BasicTrick):void {
			tricks.push(t.name);
			tricksNum = tricks.length;
		}
		
		public function hasTrick(tname:String):Boolean {
			for (var i:int = 0; i < tricksNum; i++) {
				if (tricks[i] == tname) return true;
				
				// combining impossible with anything else gives weird results, so it is blocked
				if (tname == "kickflip" || tname == "spin") 
					if (tricks[i] == "impossible") return true;
					
				if (tname == "impossible") 
					if (tricks[i] == "kickflip" || tricks[i] == "spin") return true;
			}
			return false;
		}
	}
	
}